10.6.4 : Adobe fait le point

Christophe Laporte |
Suite à la sortie de Mac OS X 10.6.4, Adobe regrette que celle-ci intègre une version ancienne de Flash. La mise à jour d'Apple inclut par défaut Flash Player 10.0.45.2, qui comprend une importante faille de sécurité. Adobe encourage les utilisateurs à migrer au plus vite vers Flash 10.1, qui corrige ce problème (lire : Une faille de sécurité exploitée dans Flash et Acrobat).

Ce n'est pas la première fois qu'Apple propose dans l'une de ses mises à jour une version de Flash susceptible de poser des problèmes de sécurité. Adobe a sans doute finalisé trop tardivement le développement de Flash 10.1 pour qu'Apple puisse l'intégrer dans Mac OS X 10.6.4 sans retarder sa sortie. Flash Player 10.1 peut être téléchargé sur cette page.

D'autre part, Adobe a confirmé que la dernière version de Snow Leopard règle bel et bien un problème qui pouvait bloquer le lancement d'applications de la Creative Suite 3.

Enfin, l'éditeur de San Jose a publié une note au sujet de Dreamweaver CS5. Par moment, le logiciel peut refuser de se lancer. Adobe propose une série de solutions : réparer les permissions, réinitialiser les préférences, créer un nouveau compte administrateur ou désactiver FileVault avec lequel il ne semble pas faire bon ménage.

avatar jodido | 

ah oui super sympa les propositions d'Adobe en cas de bug...
j'ai l'impression d'entendre Microsoft:
"Bonjour j'ai un bug sur VS 2008"
2 mois plus tard
"En effet bug constaté et corrigé dans VS 2010"
"Euh oui vous me payez la licence?"

avatar Yohmi | 

Ah, je me demandais pourquoi le mode plein-écran fonctionnait correctement à nouveau…
Je me demande si d’autres personnes ont le même problème, d’ailleurs. Depuis la version finale du nouveau flash (pas Gala, il n’est pas encore disponible il me semble), les vidéos en plein écran saccadent comme sur un pentium II…

Autre chose, par rapport à 10.6.4, pourquoi ne lancent-ils pas automatiquement le script de réparation des autorisations après chaque mise à jour système ? C’est pourtant assez important…

avatar ce78 | 

Perso, je ne conseille d'installer la 10.1. Ça comble peut-être une faille, mais ça ralentit le surf avec Safari dans des proportions considérables. Testé sur 2 Macs différents, même constat. La 10.1 de Flash bugue...

avatar kubernan | 

J'ai le bug Dreamweaver, c'est désespérant... Soit je desactive FileVault (sans même avoir la certitude que ça marche) soit je créé un compte spécial sur mon ordi juste pour lancer Dreamweaver (c'est d'un pratique), soit ... je regarde l'icone du logiciel en me disant que pour le prix j'ai une bien belle icone.

avatar Stalmicmac | 

Ah... la compatibilité des logiciels en fonction des mises-à-jour du système... une bien belle histoire... un éternel recommencement!

Lorsque, enfin, une mise-à-jour règle un problème sur une version antérieur d'un logiciel, voilà que cette même mise à jour créer un nouveau bug sur une version plus récente d'un logiciel. et rebelotte... on attend les corrections... de l'un, comme de l'autre...

J'espère juste que la guerre Apple vs Adobe ne gangrènera pas la "stabilité" de la CS5. En tout cas... pour l'instant, je crois que je vais rester sur ma CS4, qui tourne finalement très bien!

avatar Jerry Khan | 

La 10.1 ? Bonne blague....je me suis aventuré à l'installer. Rien qu'en scrollant sur une page web, le scroll bloque une fois sur 2, sur 3 sur une pub en flash.

le mieux, c'est sans flash. la terre s'en porte mieux.

avatar desimages | 

@ Jerry Khan et aux autres à propos de Flash: pourquoi ne pas utiliser Chrome qui lit très bien le Flash? Pour le reste, c'est à se demander à quoi jouent Apple et Adobe??!

avatar JPTK | 

Ouai le scroll se bloque c'est chiant...

D'ailleurs visionnant une vidéo sur youtube il y a peu, voilà la petite roue colorée et puis paf le safari qui quitte.
Et là j'ai droit à ce message qui j'avoue m'a fait sourire "safari a planté, probablement à cause du module flash".

lol..

avatar mediapress (non vérifié) | 

enfin, ce n'est que depuis la mise à jour de safari que ça bogue...

les soucis viennent sans doute de safari puisque ça fonctionnait très bien avant, faudra sans doute une mise à jour d'adobe ou de apple pour corriger...

safari 5, non exempt de défauts :
https://www.macg.co/news/voir/158901/safari-5-un-bug-d-affichage-avec-mail

c'est une galère sans nom pour les utilisateurs qui utilisent des plugins...

et ceux qui critiquent flash n'ont qu'à pas aller sur des sites flash et arrêtez de casser les couilles avec cette guerre adobe/apple, flash existe, c'est juste un fait...

avatar iDuck | 

@ jptk

Si tu as Safari 5, pour Youtube, il y a une solution : aller [url=http://www.youtube.com/html5]là[/url] et cliquer sur le lien "S'inscrire au programme HTML 5 beta".

Ensuite tu pourras regarder les vidéos Youtube au format HTML5 (mais uniquement directement sur le site de Youtube et ça ne marche pas avec toutes les vidéos, certaines restant au format Flash).

Et avec [url=http://www.cyberhq.nl/2010/06/08/restore-full-screen-playback-in-youtubes-html5-player.html]cette extension[/url], tu pourras les regarder en plein écran.

avatar ricchy | 

J'ai fait la MAJ Combo.
Je n'ai pas mis à jour flash que j'avais déjà installé avant la MAJ Combo, et...
J'ai cette version de flash > You have version 10,1,53,64 installed

avatar Halx | 

Que les applis de la CS3 puissent se lancer, c'est une chose, mais qu'elles fonctionnent correctement, c'en est une autre. Quelqu'un pourrait-il faire un petit bilan sur la stabilité de la CS3 avec OSX.6.4 ? Merci para avance !

avatar pim | 

La boulette ! Ça saccade plus que jamais, je me crois revenu avec mon PowerBook G4, qui ne fonctionne plus qu'en mode "sécurité" (= le processeur à mi-puissance...)

avatar dark juju | 

mediapress je ne suis pas d'accord avec toi, le problème ne vient pas de la mise à jour de safari.
J'avais déjà les saccades au niveaux du défilement avec safari 4 et la RC de flash 10.1.

Flash 5 n'est pas en cause d'autant plus qu'il marche très bien avec flash 10.0

avatar mediapress (non vérifié) | 

je sais pas, en tout cas, je n'ai pas encore fait la MAJ et ça marche nickel...

si après la MAJ, ça ne marche plus, c'est que c'est safari le coupable... mais j'hésites à faire la MAJ tellement safari me parait bogué !!!

avatar liocec | 

@ desimages :
Le pb avec Chrome, c'est qu'il marche bien, mais le Flash consomme beaucoup plus de ressources que sous Safari (pourquoi ?!?).
Sur MBP, l'automie est donc considérablement réduite avec Chrome+Flash. PS: Chrome seul c'est très bon.

avatar liocec | 

@ à tous : je comprends pas j'ai installé Flash Gala, ça marche très bien et jamais de sacades !

avatar thedarkmind | 

Je suis toujours sur la CS3 qui me va très bien et, peut-être par chance, a toujours été stable sous Tiger, Puis Léopard, puis SL... que ce soit sur mon MacPro ou mon MBP.

avatar Orus | 

Trop drôle la grosse excuse bidon accordé à Apple. On croit rêver.

avatar cecemf | 

Heureusement que flash 10.1 n'est pas installer avec 10.6.4 il est même pas compatible safari 5 !

avatar Shepherd | 

Alors ça, c'est la meilleure ! J'en rage, Adobe ne manque vraiment pas d'Air !

Explication...
Certes, il est regrettable que la société Apple publie une mise à niveau contenant une version "périmée" (car vulnérable) de Flash. Mais ceci peut s'expliquer par les temps de compilation/tests, la dernière version du moteur Flash n'étant dispo que depuis quelques jours.
Cela dit, la 10.6.4 ne semble pas écraser Flash Player 10.1 si cette dernière mouture était déjà installée.

Maintenant que dire du DVD de la toute nouvelle Suite CS5 (pour Windows) qui installe dans ses dossiers une version de Java comportant de multiples vulnérabilités (Update 18) ? La même excuse peut être servie : délai de fabrication et de commercialisation.
Oui, mais à ce jour, soit 2 mois après la publication de la dernière version de Java en Update 20, aucune mise à jour n'est disponible via Adobe Updater pour corriger ce problème, aucune info n'est publiée pour informer l'utilisateur. Seul Secunia PSI informe que cette version U18 est vulnérable (selon Secunia PSI, la sécurité des navigateurs s'en trouve compromise).

Depuis que j'ai installé la CS5 dans ma VM Windows, Adobe Air a été signalé 2 fois par Secunia PSI comme vulnérable. La mise à jour de Air ne se fait par via le module de mise à jour standard, mais apparemment suite à l'ouverture de l'Aide dans l'une des applis de la suite.

La société Adobe serait bien inspirée de commencer son grand ménage devant SA porte !

avatar Yohmi | 

Sniff, ça veut également dire que le comportement aléatoire de mon Flash semble voué à ne jamais trouver de réponse… enfin bon, ça a marché le premier jour, ça a déconné pendant une semaine, ça remarche aujourd’hui… je vais allumer de l’encens, tiens.

(et pour ceux qui veulent savoir quelle version de Flash est installée, [url=http://kb2.adobe.com/cps/155/tn_15507.html]zou par ici ![/url])

Mais du coup, c’est bizarre quand même… Adobe se plaint qu’Apple installe une version ancienne de Flash, qui n’écrase pas la version récente de Flash… hmm…

avatar Shepherd | 

[quote=yoskiz]
@shepherd salut, j'allais poser la question ! Mais tu y réponds sur le fait que la 10.6.4 n'écrase pas flash 10.1 si on l'a déjà installé donc..[/quote]
J'ai bien écrit "ne semble pas écraser". J'avais déjà installé Flash Player 10.1 avt de mettre à jour vers Mac OS 10.6.4. Après mise à niveau, j'ai vérifié la version du plugin Flash dans Firefox, elle est tjs bien en 10.1.53.64. Mais j'ignore si des composants ont été écrasés de manière "invisible".

avatar ErGo_404 | 

Un désinstalleur pour Flash est téléchargeable sur la page de téléchargement de l'installeur chez Adobe ;-)

avatar ErGo_404 | 

@Liocec, pendant un temps chrome a intégré son propre plugin flash, ce qui explique probablement pourquoi les perfs sont différentes de la version Safari.

avatar Robert Tripoux (non vérifié) | 

Attendez, les gars:
Il est dit que "la mise à jour 10.6.4 de Snow Leopard n'installe pas la dernière version 10.1 de Flash... et non pas que "la mise a jour 10.6.4 de Snow Leopard réinstalle une version précédente de Flash" ...

J'avais mis à jour Flash en 10.1 avant de faire la mise à jour en Snow Leopard 10.6.4: j'ai donc toujours Flash 10.1 . Vous n'allez donc pas retrouver une version précédente de Flash si vous appliquez la 10.6.4.

avatar Shepherd | 

Dans le bénéfice du doute, j'ai désinstallé Flash Player 10.1 (après la màj en 10.6.4) pour le réinstaller.
Sous Windows, la désinstallation est simple, mais sous Mac, j'ai préféré télécharger le programme de désinstallation à l'adresse suivante :
http://www.adobe.com/fr/shockwave/download/alternates/

avatar BitNic | 

Depuis l'install de ma CS5 Extended, impossible de me servir de Air et qui me refuse la Màj en 2.0.2. Donc impossibilité d'utiliser Adobe Helper. Problème sur mon Mac Pro mais pas sur le MBP. J'ai passé 30' au phone avec LaDobe pour m'entendre dire bien sûr que c'était de la faute de mon système et que j'allais mourir demain !!! Comme je me tamponne de l'Air et que je peux me passer de leur Help... je vais rapidement attendre et surtout ne pas toucher à mon système qui n'a aucun blème. Mais je viens de vivre les "bons rapports" entre LeMac & LaDoby...

avatar layZ | 

Avec ma config : Safari 5.0 (6533.16) et Flash Player 10.1.53.64 les animations ne sont plus téléchargées; une fenêtre s'ouvre mais le fond d'écran reste noir. Dans le menu contextuel de Flash Player j'obtiens deux lignes : A propos d'Adobe Flash Player 10.. et Animation non chargée .... Ce doit être un problème de Safari, car je n'ai aucun problème avec Google Chrome pour afficher ces animations.

Quelqu'un a-t-il fait la même constatation ?

avatar mediapress (non vérifié) | 

pfff.... safari 5 à éviter de toute urgence !!!!

avatar Feroce | 

"La 10.1 ? Bonne blague....je me suis aventuré à l'installer. Rien qu'en scrollant sur une page web, le scroll bloque une fois sur 2, sur 3 sur une pub en flash."

Ca doit être le chiffre maudit. Un peu comme Mac OS X 10.1.
Ca ira mieux avec flash 10.3 !

avatar ricchy | 

Tout va très bien chez moi.
Flash "10,1,53,64 installed" et Safari 5
http://www.2advanced.com s'affiche sans soucis…

avatar albinoz | 

Safari 5
Fash 10.1.53.64
MacPro 2,93Ghz
tout va bien

www.jimcarrey.com

fonctionne aussi ^^

avatar Mist. GraphX | 

;-) ça me fais mourir de rire : ont voit que tous les Trolls raleurs ne sont pas sur mac depuis bien longtemps !!! Pour rappel le scroll n'as jamais marché sur la version mac de flash player jusqu'a la flash 8 ou 9 de mémoire (tous les gens qui ont fais de l'AS1 puis 2,3 le savent d'expérience) ... quand a safari : il commence a peine a être utilisable depuis un an ou deux sur les sites bancaires par exemple ... quand à photoshop soyons honnête je pense que la CS3 doit contenter la plu parts des graphistes voir même un photoshop 7 ...
Dreamweaver ??? c'est quoi ? un truc qui pisse du code a ta place ??? faut au moins un mac intel a 3000 avec 16 GO de ram et 8core pour faire ça LOL... Allez je retourne bosser plutôt que de faire des maj a 2balles ;-) PPC power dans le 95

avatar zenx | 

Moi ce que je constate, c'est que un tas de softs fonctionnent depuis toujours quelques soit les mises à jour système, mais que inversement, les softs qui sont touchés par une MAJ système sont presque toujours exclusivement les softs d'Adobe !!. Quelqu'un peut il m'expliquer pourquoi ?...

CONNEXION UTILISATEUR